## org.apache.lucene.index
Class FieldNormModifier

    java.lang.Object
      org.apache.lucene.index.FieldNormModifier

    public class FieldNormModifier

extends java.lang.Object

Given a directory and a list of fields, updates the fieldNorms in place for every document. If Similarity class is specified, uses its lengthNorm method to set norms. If -n command line argument is used, removed field norms, as if `Field.Index`.NO_NORMS was used.

NOTE: This will overwrite any length normalization or field/document boosts.

Constructor Summary
`FieldNormModifier(org.apache.lucene.store.Directory d, org.apache.lucene.search.Similarity s)` Constructor for code that wishes to use this class programmatically If Similarity is null, kill the field norms.

Method Summary
`static void` `main(java.lang.String[] args)` Command Line Execution method.
`void` `reSetNorms(java.lang.String field)` Resets the norms for the specified field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldNormModifier

    public FieldNormModifier(org.apache.lucene.store.Directory d,
                             org.apache.lucene.search.Similarity s)

  Constructor for code that wishes to use this class programmatically If Similarity is null, kill the field norms.

  Parameters:
    `d` - the Directory to modify
    `s` - the Similarity to use (can be null)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Command Line Execution method.

       Usage: FieldNormModifier /path/index <package.SimilarityClassName | -n> field1 field2 ...

  Throws:
    `java.io.IOException`

### reSetNorms

    public void reSetNorms(java.lang.String field)
                    throws java.io.IOException

  Resets the norms for the specified field.

  Opens a new IndexReader on the Directory given to this instance, modifies the norms (either using the Similarity given to this instance, or by using fake norms, and closes the IndexReader.

  Parameters:
    `field` - the field whose norms should be reset
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.